package com.syaroful.agrilinkvocpro.data.model

data class SensorDataResponse(
    val data: SensorData?,
    val message: String?,
    val statusCode: Int?
)

data class SensorData(
    val dht: Dht?,
    val npk1: Npk?,
    val npk2: Npk?
)

data class Dht(
    val vicitemperature: Number?,
    val vicihumidity: Number?,
    val viciluminosity: Number?
)

data class Npk(
    val soiltemperature: Number?,
    val soilhumidity: Number?,
    val soilconductivity: Number?,
    val soilph: Number?,
    val soilnitrogen: Number?,
    val soilphosphorus: Number?,
    val soilpotassium: Number?
)